//
//  RecipesAppDelegate.m
//  Recipes
//
//  Created by bill on 6/5/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "RecipesAppDelegate.h"
#import "RecipesViewController.h"
#import "IngredientsViewController.h"

@implementation RecipesAppDelegate

@synthesize window;
@synthesize recipesController;
@synthesize recipes;

- (NSArray *)recipes {
	return [data allKeys];
}

- (void)addNewRecipeNamed:(NSString *)recipeName {
	[data setValue:[NSMutableArray array] forKey:recipeName];
}

- (void)createDefaultData {
	data = [[NSMutableDictionary dictionary] retain];
	[data setValue:[NSMutableArray arrayWithObjects:@"Crust", @"Cherries", @"Sugar", nil] forKey:@"Cherry Pie"];
	[data setValue:[NSMutableArray arrayWithObjects:@"Flour", @"Butter", @"Sugar", @"Cocoa", nil] forKey:@"Cake"];
	[data setValue:[NSMutableArray arrayWithObjects:@"Flour", @"Butter", @"Sugar", @"Eggs", @"Peanut Butter", nil] forKey:@"Cookie"];
}

- (NSArray *)ingredientsForRecipe:(NSString *)recipeName {
	return [data valueForKey:recipeName];
}

- (void)recipeClicked:(NSString *)recipeName {
	ingredientsController.ingredients = [self ingredientsForRecipe:recipeName];
	[navController pushViewController:ingredientsController animated:YES];
}

- (void)applicationDidFinishLaunching:(UIApplication *)application {	
	navController.viewControllers = [NSArray arrayWithObject:recipesController];
	// Override point for customization after app launch	
    [window addSubview:navController.view];
	[window makeKeyAndVisible];
	[self createDefaultData];
}


- (void)dealloc {
    [recipesController release];
	[window release];
	[super dealloc];
}


@end
